Bug 1684548 - GeForce 580 system no longer showing deskop after update to F29
Summary: GeForce 580 system no longer showing deskop after update to F29
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 14:16 UTC by Christophe de Dinechin
Modified: 2019-11-27 21:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:37:31 UTC
Type: Bug


Attachments (Terms of Use)
Output of journalctl -b after a fresh reboot (269.93 KB, text/plain)
2019-03-22 18:36 UTC, Christophe de Dinechin
no flags Details
Re-generated xorg.conf (4.58 KB, text/plain)
2019-03-22 18:39 UTC, Christophe de Dinechin
no flags Details

Description Christophe de Dinechin 2019-03-01 14:16:22 UTC
Description of problem:

After upgrading a system that was running F28 to F29 using dnf system-upgrade, the GNOME desktop no longer shows up.

01:00.0 VGA compatible controller: NVIDIA Corporation GF110 [GeForce GTX 580] (rev a1)

[    4.079953] nouveau 0000:01:00.0: NVIDIA GF110 (0c8000a1)
[    4.224624] nouveau 0000:01:00.0: bios: version 70.10.20.00.01
[    4.247239] nouveau 0000:01:00.0: fb: 1536 MiB GDDR5
[    4.312204] nouveau 0000:01:00.0: therm: temperature (94 C) hit the 'fanboost' threshold
[    4.312546] nouveau 0000:01:00.0: DRM: VRAM: 1536 MiB
[    4.312546] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
[    4.312549] nouveau 0000:01:00.0: DRM: TMDS table version 2.0
[    4.312550] nouveau 0000:01:00.0: DRM: DCB version 4.0
[    4.312552] nouveau 0000:01:00.0: DRM: DCB outp 00: 02000300 00000000
[    4.312553] nouveau 0000:01:00.0: DRM: DCB outp 01: 01000302 00020030
[    4.312554] nouveau 0000:01:00.0: DRM: DCB outp 02: 04011380 00000000
[    4.312555] nouveau 0000:01:00.0: DRM: DCB outp 03: 08011382 00020030
[    4.312556] nouveau 0000:01:00.0: DRM: DCB outp 04: 02022362 00020010
[    4.312557] nouveau 0000:01:00.0: DRM: DCB conn 00: 00001030
[    4.312558] nouveau 0000:01:00.0: DRM: DCB conn 01: 00010130
[    4.312559] nouveau 0000:01:00.0: DRM: DCB conn 02: 00002261
[    4.314566] nouveau 0000:01:00.0: DRM: MM: using COPY0 for buffer copies
[    4.510799] nouveau 0000:01:00.0: DRM: allocated 1920x1200 fb: 0x60000, bo 000000003b52da30
[    4.512004] fbcon: nouveaufb (fb1) is primary device
[    5.015638] nouveau 0000:01:00.0: fb1: nouveaufb frame buffer device
[    5.015856] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 1
[    7.312535] nouveau 0000:01:00.0: therm: temperature (95 C) hit the 'downclock' threshold

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau.x86_64                       1:1.0.15-6.fc29                        @fedora                   


How reproducible: Seen once


Steps to Reproduce:
1. Install Fedora 28 with GNOME desktop
2. Upgrade to Fedora 29 using dnf system-upgrade

Actual results:

Console shows 

         Starting GNOME Display Manager...
         Starting Hold until boot process finishes up...
[  OK  ] Started Command Scheduler.
[  OK  ] Started GNOME Display Manager.

and the graphical console does not show up. The boot is in graphics mode, though.

Expected results:

Restoring the original graphical state

Additional info:

Comment 1 Ben Skeggs 2019-03-18 23:48:13 UTC
I don't see anything in the kernel log snippet that indicates graphics is at fault.  Could you attach the "journalctl -b" output to the bug so I can look further?

Comment 2 Christophe de Dinechin 2019-03-22 18:36:53 UTC
Created attachment 1547075 [details]
Output of journalctl -b after a fresh reboot

My original journalctl -b output was about 16M, so I decided to wait until I could shutdown the VMs on that machine.

Comment 3 Christophe de Dinechin 2019-03-22 18:39:29 UTC
Created attachment 1547077 [details]
Re-generated xorg.conf

I tried to recreate an xorg.conf using Xorg :1 -configure, hoping it might shed some light on the issue.

Comment 4 Ben Cotton 2019-10-31 19:44:46 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 21:37:31 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.